#ifndef _MM2_H_
#define _MM2_H_


// Config

#define SW_VERSION	0x29


//#define FULL
//#define ULTIMATE
//#define NORMAL
//#define LED_DISP		// Kompletter Wegfall aller Display-/Aufnahmefunktionen
#define SPECIAL_MIKE
//#define PERFORMANT_PLAYER_DEBUG


#if defined(FULL)
    #define BUFFERED_READ2  // [neu] Gepuffertes Einlesen von Mididaten bei der Wiedergabe (erhht Timingsprzision)
    #define RC5             // IR-Remote-Untersttzung aktivieren
    
    #define BACKLIGHT       // LCD-Hintergrundbeleuchtung im Men einstellbar
    #define CHANNEL_MUTE    // MIDI-Kanalstummschaltfeature
    #define TRANSPOSE       // Transponierfeature
    #define LYRICS          // Lyricfeature
    #define MIDI_MONITOR    // MIDI-Monitor verfgbar
    #define KEY_REPEAT      // Taste gedrckt halten ist wie am PC
    #define DIREKTWAHL      // Wahl eines Songs per Zifferntasten
    #define RANDOMSONG      // Zufallswiedergabe verfgbar
    #define MANUAL_CALIBRATE// Kalibrierung des Oszillators im Men
    #define CALIBRATE       // Automatische Kalibrierroutine
    #define SD_TIMEOUT      // [neu] Erkennt schlechte SD-Karten
        #define SDTIMEOUT 100
    
    //#define RC5_DISP      // Debug Displayanzeige
    
    //#define OLD_CARDSCAN  // Raw-Scan der Karte, wenn kein FAT16 gefunden wurde
    //#define NOSECTORSEARCH    // Cluster werden nicht aus FAT allokiert (fragmentierte Karten nicht erlaubt)
    #define USE_RTC     // [neu] Echtzeituhr angeschlossen
    #define RTC_NUMERIC // [neu] Eingabe der Zeit per Ziffentasten

#elif defined(ULTIMATE)
	#define BUFFERED_READ2	// [neu] Gepuffertes Einlesen von Mididaten bei der Wiedergabe (erhht Timingsprzision)
	#define RC5				// IR-Remote-Untersttzung aktivieren
	
	//#define BACKLIGHT		// LCD-Hintergrundbeleuchtung im Men einstellbar
    #define CHANNEL_MUTE    // MIDI-Kanalstummschaltfeature
    #define TRANSPOSE       // Transponierfeature
    #define LYRICS          // Lyricfeature
	//#define MIDI_MONITOR	// MIDI-Monitor verfgbar
    #define MIDI_BLIP       // [neu] Anzeige MIDI-Out-Aktivitt
    #define DIR_SUPPORT     // [neu] Untersttzung zum Browsen von Unterverzeichnissen
	#define KEY_REPEAT		// Taste gedrckt halten ist wie am PC
	#define DIREKTWAHL		// Wahl eines Songs per Zifferntasten
	#define RANDOMSONG		// Zufallswiedergabe verfgbar
	#define MANUAL_CALIBRATE// Kalibrierung des Oszillators im Men
	//#define CALIBRATE		// Automatische Kalibrierroutine
	//#define SD_TIMEOUT		// [neu] Erkennt schlechte SD-Karten
	//	#define SDTIMEOUT 100
	
	//#define RC5_DISP		// Debug Displayanzeige
	
	//#define OLD_CARDSCAN	// Raw-Scan der Karte, wenn kein FAT16 gefunden wurde
	//#define NOSECTORSEARCH	// Cluster werden nicht aus FAT allokiert (fragmentierte Karten nicht erlaubt)
	//#define USE_RTC		// [neu] Echtzeituhr angeschlossen
	//#define RTC_NUMERIC	// [neu] Eingabe der Zeit per Ziffentasten

#elif defined(NORMAL)
	#define BUFFERED_READ	// Gepuffertes Einlesen von Mididaten bei der Wiedergabe (erhht Timingsprzision)
	#define RC5				// IR-Remote-Untersttzung aktivieren
	
	#define BACKLIGHT		// LCD-Hintergrundbeleuchtung im Men einstellbar
    #define CHANNEL_MUTE    // MIDI-Kanalstummschaltfeature
    #define TRANSPOSE       // Transponierfeature
    #define LYRICS          // Lyricfeature
	//#define MIDI_MONITOR	// MIDI-Monitor verfgbar
	//#define KEY_REPEAT		// Taste gedrckt halten ist wie am PC
	#define DIREKTWAHL		// Wahl eines Songs per Zifferntasten
	#define RANDOMSONG		// Zufallswiedergabe verfgbar
	//#define MANUAL_CALIBRATE// Kalibrierung des Oszillators im Men
	//#define CALIBRATE		// Automatische Kalibrierroutine
	//#define SD_TIMEOUT		// [neu] Erkennt schlechte SD-Karten
		//#define SDTIMEOUT 100
	
	//#define RC5_DISP		// Debug Displayanzeige
	
	#define OLD_CARDSCAN	// Raw-Scan der Karte, wenn kein FAT16 gefunden wurde
	//#define NOSECTORSEARCH	// Cluster werden nicht aus FAT allokiert (fragmentierte Karten nicht erlaubt)
	//#define USE_RTC		// [neu] Echtzeituhr angeschlossen
	//#define RTC_NUMERIC	// [neu] Eingabe der Zeit per Ziffentasten

#elif defined(SPECIAL_MIKE)
    //#define BUFFERED_READ2  // [neu] Gepuffertes Einlesen von Mididaten bei der Wiedergabe (erhht max. Durchsatzrate)
    #define RC5             // IR-Remote-Untersttzung aktivieren
    
    //#define BACKLIGHT       // LCD-Hintergrundbeleuchtung im Men einstellbar
    #define CHANNEL_MUTE    // MIDI-Kanalstummschaltfeature
    #define TRANSPOSE       // Transponierfeature
    #define LYRICS          // Lyricfeature
    //#define MIDI_MONITOR    // MIDI-Monitor verfgbar
    #define MIDI_BLIP       // [neu] Anzeige MIDI-Out-Aktivitt
    #define DIR_SUPPORT     // [neu] Untersttzung zum Browsen von Unterverzeichnissen
    #define NO_FILE_EXT     // [neu] Keine Dateierweiterung anzeigen
    #define NO_RECORD       // Alle Schreib- und Lschfunktionen weg
    #define TEMPO_IN_BPM    // [neu] Aktuelles Tempo wird als bpm angezeigt und kann in 1er-Schritten gendert werden
    #define KEY_REMAP       // [neu] Tastenbelegung neu
    #define KEY_REPEAT      // Taste gedrckt halten ist wie am PC
    #define DIREKTWAHL      // Wahl eines Songs per Zifferntasten
    #define RANDOMSONG      // Zufallswiedergabe verfgbar
    #define MANUAL_CALIBRATE// Kalibrierung des Oszillators im Men
    //#define CALIBRATE       // Automatische Kalibrierroutine
    //#define SD_TIMEOUT      // [neu] Erkennt schlechte SD-Karten
        //#define SDTIMEOUT 100
    
    //#define RC5_DISP      // Debug Displayanzeige
    
    //#define OLD_CARDSCAN  // Raw-Scan der Karte, wenn kein FAT16 gefunden wurde
    //#define NOSECTORSEARCH    // Cluster werden nicht aus FAT allokiert (fragmentierte Karten nicht erlaubt)
    //#define USE_RTC     // [neu] Echtzeituhr angeschlossen
    //#define RTC_NUMERIC // [neu] Eingabe der Zeit per Ziffentasten

#elif defined(PERFORMANT_PLAYER_DEBUG)
    #define BUFFERED_READ   // [neu] Gepuffertes Einlesen von Mididaten bei der Wiedergabe (erhht max. Durchsatzrate)
    #define RC5             // IR-Remote-Untersttzung aktivieren
    
    #define DIR_SUPPORT     // [neu] Untersttzung zum Browsen von Unterverzeichnissen
    //#define NO_FILE_EXT     // [neu] Keine Dateierweiterung anzeigen
    #define NO_RECORD       // Alle Schreib- und Lschfunktionen weg
	#define NO_MENU			// Kein EEPROM und kein Men
    #define TEMPO_IN_BPM    // [neu] Aktuelles Tempo wird als bpm angezeigt und kann in 1er-Schritten gendert werden
    //#define KEY_REMAP       // [neu] Tastenbelegung neu
    //#define KEY_REPEAT      // Taste gedrckt halten ist wie am PC

#elif defined(LED_DISP)
	//#define BUFFERED_READ2	// Gepuffertes Einlesen von Mididaten bei der Wiedergabe (erhht Timingsprzision)
    #define NO_RECORD       // Alle Schreib- und Lschfunktionen weg
	#define NO_MENU			// Kein EEPROM und kein Men
#endif

#define OLD_BL			// Alter 1024-Word-Bootloader im Chip



#endif

